/*
 * tmos - eedata.h 
 *
 * 	Low level EEPROM interface
 * 
 * Copyright (C) 2010  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Fundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __ASM_EEDATA_H
#define __ASM_EEDATA_H

void eedata_erase_page(unsigned int page) __reentrant;
char eedata_write_page(unsigned int page, const void __kernel *buf)
	__reentrant;
void eedata_read_page(unsigned int page, void __kernel *buf)
	__reentrant;

#endif
